Skip to Content
inclamoDocs

List all inboxes

GET
/api/v1/accounts/{account_id}/inboxes

List all inboxes available in the current account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Response Body

Success

application/json
  1. response
payload?array<>

Array of inboxes

Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/inboxes'
Example Response
{  "payload": [    {      "id": 0,      "name": "string",      "website_url": "string",      "page_id": "string",      "instagram_id": "string",      "business_id": "string",      "provider_name": "string",      "profile_id": "string",      "line_channel_id": "string",      "email": "string",      "bot_name": "string",      "inbox_identifier": "string",      "channel_type": "string",      "avatar_url": "string",      "widget_color": "string",      "website_token": "string",      "enable_auto_assignment": true,      "web_widget_script": "string",      "welcome_title": "string",      "welcome_tagline": "string",      "greeting_enabled": true,      "greeting_message": "string",      "channel_id": 0,      "working_hours_enabled": true,      "enable_email_collect": true,      "csat_survey_enabled": true,      "auto_assignment_config": {},      "out_of_office_message": "string",      "working_hours": [        {          "day_of_week": 0,          "closed_all_day": true,          "open_hour": 0,          "open_minutes": 0,          "close_hour": 0,          "close_minutes": 0,          "open_all_day": true        }      ],      "timezone": "string",      "callback_webhook_url": "string",      "allow_messages_after_resolved": true,      "lock_to_single_conversation": true,      "sender_name_type": "string",      "business_name": "string",      "branded_email_layout": "string",      "hmac_mandatory": true,      "selected_feature_flags": [        "string"      ],      "reply_time": "string",      "messaging_service_sid": "string",      "phone_number": "string",      "medium": "string",      "provider": "string"    }  ]}